# -*- encoding: utf-8 -*-
# stub: mousetrap-rails 1.4.6 ruby lib

Gem::Specification.new do |s|
  s.name = "mousetrap-rails"
  s.version = "1.4.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Nick Kugaevsky"]
  s.cert_chain = ["gem-public_cert.pem"]
  s.date = "2016-03-16"
  s.description = "Mousetrap is a javascript library for handling keyboard shortcuts in your web applications. This gem integrates Mousetrap with Rails asset pipeline for easy of use."
  s.email = "nick@kugaevsky.ru"
  s.files = [".gitignore", ".travis.yml", "CHANGELOG.md", "Gemfile", "LICENSE.md", "README.md", "Rakefile", "app/assets/stylesheets/mousetrap.css", "app/assets/stylesheets/mousetrap.css.sass", "gem-public_cert.pem", "lib/generators/mousetrap/install/USAGE", "lib/generators/mousetrap/install/install_generator.rb", "lib/generators/mousetrap/install/templates/application.css", "lib/generators/mousetrap/install/templates/application.js", "lib/generators/mousetrap/install/templates/keybindings.js.coffee", "lib/mousetrap-rails.rb", "lib/mousetrap-rails/engine.rb", "lib/mousetrap-rails/railtie.rb", "lib/mousetrap-rails/version.rb", "mousetrap-rails.gemspec", "spec/dummy/.rspec", "spec/dummy/README.rdoc", "spec/dummy/Rakefile", "spec/dummy/app/assets/javascripts/application.js", "spec/dummy/app/assets/stylesheets/application.css", "spec/dummy/app/controllers/application_controller.rb", "spec/dummy/app/helpers/application_helper.rb", "spec/dummy/app/mailers/.gitkeep", "spec/dummy/app/models/.gitkeep", "spec/dummy/app/views/layouts/application.html.erb", "spec/dummy/config.ru", "spec/dummy/config/application.rb", "spec/dummy/config/boot.rb", "spec/dummy/config/database.yml", "spec/dummy/config/environment.rb", "spec/dummy/config/environments/development.rb", "spec/dummy/config/environments/production.rb", "spec/dummy/config/environments/test.rb", "spec/dummy/config/initializers/backtrace_silencers.rb", "spec/dummy/config/initializers/inflections.rb", "spec/dummy/config/initializers/mime_types.rb", "spec/dummy/config/initializers/secret_token.rb", "spec/dummy/config/initializers/session_store.rb", "spec/dummy/config/initializers/wrap_parameters.rb", "spec/dummy/config/locales/en.yml", "spec/dummy/config/routes.rb", "spec/dummy/db/test.sqlite3", "spec/dummy/lib/assets/.gitkeep", "spec/dummy/log/.gitkeep", "spec/dummy/log/development.log", "spec/dummy/public/404.html", "spec/dummy/public/422.html", "spec/dummy/public/500.html", "spec/dummy/public/favicon.ico", "spec/dummy/script/rails", "spec/generators/install_generator_spec.rb", "spec/spec_helper.rb", "vendor/assets/javascripts/mousetrap.js", "vendor/assets/javascripts/mousetrap/dictionary.js", "vendor/assets/javascripts/mousetrap/global.js", "vendor/assets/javascripts/mousetrap/pause.js", "vendor/assets/javascripts/mousetrap/plugins.js", "vendor/assets/javascripts/mousetrap/record.js"]
  s.homepage = "http://kugaevsky.github.com/mousetrap-rails"
  s.licenses = ["MIT", "Apache"]
  s.post_install_message = "\n\e[33mRemember to run generator to generate sample file and include mousetrap-rails with Rails Asset Pipeline\e[0m\n\n    \e[32m$ rails generate mousetrap:install \e[0m\n\n"
  s.rubygems_version = "2.5.1"
  s.summary = "Integrate Mousetrap javascript library with Rails Asset Pipeline"
  s.test_files = ["spec/dummy/.rspec", "spec/dummy/README.rdoc", "spec/dummy/Rakefile", "spec/dummy/app/assets/javascripts/application.js", "spec/dummy/app/assets/stylesheets/application.css", "spec/dummy/app/controllers/application_controller.rb", "spec/dummy/app/helpers/application_helper.rb", "spec/dummy/app/mailers/.gitkeep", "spec/dummy/app/models/.gitkeep", "spec/dummy/app/views/layouts/application.html.erb", "spec/dummy/config.ru", "spec/dummy/config/application.rb", "spec/dummy/config/boot.rb", "spec/dummy/config/database.yml", "spec/dummy/config/environment.rb", "spec/dummy/config/environments/development.rb", "spec/dummy/config/environments/production.rb", "spec/dummy/config/environments/test.rb", "spec/dummy/config/initializers/backtrace_silencers.rb", "spec/dummy/config/initializers/inflections.rb", "spec/dummy/config/initializers/mime_types.rb", "spec/dummy/config/initializers/secret_token.rb", "spec/dummy/config/initializers/session_store.rb", "spec/dummy/config/initializers/wrap_parameters.rb", "spec/dummy/config/locales/en.yml", "spec/dummy/config/routes.rb", "spec/dummy/db/test.sqlite3", "spec/dummy/lib/assets/.gitkeep", "spec/dummy/log/.gitkeep", "spec/dummy/log/development.log", "spec/dummy/public/404.html", "spec/dummy/public/422.html", "spec/dummy/public/500.html", "spec/dummy/public/favicon.ico", "spec/dummy/script/rails", "spec/generators/install_generator_spec.rb", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rails>, ["~> 3.2.12"])
      s.add_development_dependency(%q<sqlite3>, ["~> 1.3.5"])
      s.add_development_dependency(%q<rspec-rails>, ["~> 2.13.0"])
      s.add_development_dependency(%q<genspec>, ["~> 0.2.7"])
      s.add_development_dependency(%q<sass>, ["~> 3.2.1"])
      s.add_development_dependency(%q<coveralls>, [">= 0"])
    else
      s.add_dependency(%q<rails>, ["~> 3.2.12"])
      s.add_dependency(%q<sqlite3>, ["~> 1.3.5"])
      s.add_dependency(%q<rspec-rails>, ["~> 2.13.0"])
      s.add_dependency(%q<genspec>, ["~> 0.2.7"])
      s.add_dependency(%q<sass>, ["~> 3.2.1"])
      s.add_dependency(%q<coveralls>, [">= 0"])
    end
  else
    s.add_dependency(%q<rails>, ["~> 3.2.12"])
    s.add_dependency(%q<sqlite3>, ["~> 1.3.5"])
    s.add_dependency(%q<rspec-rails>, ["~> 2.13.0"])
    s.add_dependency(%q<genspec>, ["~> 0.2.7"])
    s.add_dependency(%q<sass>, ["~> 3.2.1"])
    s.add_dependency(%q<coveralls>, [">= 0"])
  end
end
